package com.keao.edu.user.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_lifecycle_log):
 */
public class ExamLifecycleLog {

	/**  */
	private Long id;
	
	@ApiModelProperty(value = "考级项目编号")
	private Integer examinationBasicId;
	
	@ApiModelProperty(value = "事件名称")
	private String eventName;
	
	@ApiModelProperty(value = "操作人编号")
	private Integer operatorUserId;
	
	@ApiModelProperty(value = "备注")
	private String memo;
	
	@ApiModelProperty(value = "事件发生事件")
	private java.util.Date createTime;

	public ExamLifecycleLog() {
	}

	public ExamLifecycleLog(Integer examinationBasicId, String eventName, Integer operatorUserId) {
		this.examinationBasicId = examinationBasicId;
		this.eventName = eventName;
		this.operatorUserId = operatorUserId;
	}

	public ExamLifecycleLog(Integer examinationBasicId, String eventName, Integer operatorUserId, String memo) {
		this.examinationBasicId = examinationBasicId;
		this.eventName = eventName;
		this.operatorUserId = operatorUserId;
		this.memo = memo;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExaminationBasicId(Integer examinationBasicId){
		this.examinationBasicId = examinationBasicId;
	}
	
	public Integer getExaminationBasicId(){
		return this.examinationBasicId;
	}
			
	public void setEventName(String eventName){
		this.eventName = eventName;
	}
	
	public String getEventName(){
		return this.eventName;
	}
			
	public void setOperatorUserId(Integer operatorUserId){
		this.operatorUserId = operatorUserId;
	}
	
	public Integer getOperatorUserId(){
		return this.operatorUserId;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
